//=============================================================================
// MPU ý 
//
// by nexp76(nexp76@naver.com)
// [system.h]
//=============================================================================

/*

*/

#ifndef	_CONFIG_H_
#define	_CONFIG_H_
//UART0 ϱ 
#define _UART0_ENABLE

//-----------------------------------------------------------------------------
//  
typedef unsigned char UINT;
typedef char INT;
typedef unsigned char BOOL;

typedef unsigned char  u08;	// 0 ~ 255
typedef   signed char  s08;	// -128 ~ 127
typedef unsigned short u16;	// 0 ~ 65535
typedef   signed short s16;	// -32768 ~ 32767
typedef unsigned long  u32;	// 0 ~ (2^32-1)
typedef   signed long  s32;	// -(2^32)/2 ~ ((2^32)/2)-1
//-----------------------------------------------------------------------------




//-----------------------------------------------------------------------------
#ifdef _UART0_ENABLE
#define U0_printf						printf
#define DebugPrint						U0_printf
#define DebugInit						U0_Init
#define DebugGetByte					U0_GetByte
#define DebugIsByte						U0_IsGetByte
#endif

#ifdef _UART1_ENABLE
#define DebugPrint						U1_printf
#define DebugInit						U1_Init
#define DebugGetByte					U1_GetByte
#define DebugIsByte						U1_IsGetByte
#endif
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
#define SPI0_SS_BIT						BIT0
#define SPI0_SS_DDR						DDRB
#define SPI0_SS_PORT					PORTB

#define SPI0_SCLK_BIT					BIT1
#define SPI0_SCLK_DDR					DDRB
#define SPI0_SCLK_PORT					PORTB

#define	SPI0_MOSI_BIT					BIT2
#define SPI0_MOSI_DDR					DDRB
#define SPI0_MOSI_PORT					PORTB

#define	SPI0_MISO_BIT					BIT3
#define SPI0_MISO_DDR					DDRB
#define SPI0_MISO_PORT					PORTB

#define IINCHIP_SpiInit					SPI0_Init
#define IINCHIP_SpiSendData				SPI0_SendByte	
#define IINCHIP_SpiRecvData				SPI0_RxData

#define IINCHIP_CS_BIT					BIT0
#define IINCHIP_CS_DDR					DDRB
#define IINCHIP_CS_PORT					PORTB

#define IINCHIP_CSInit()				Sbi(IINCHIP_CS_DDR, IINCHIP_CS_BIT)
#define IINCHIP_CSon()					Sbi(IINCHIP_CS_PORT, IINCHIP_CS_BIT)
#define IINCHIP_CSoff()					Cbi(IINCHIP_CS_PORT, IINCHIP_CS_BIT)
//-----------------------------------------------------------------------------

#endif

